> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.videogen.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.videogen.io/_mcp/server.

# List project artifacts

GET https://api.videogen.io/v1/projects/{projectId}/artifacts

List exact artifact and document identities in a project accessible to the authenticated caller on the selected team.

Reference: https://docs.videogen.io/rest-api-reference/projects/list-project-artifacts

## Authentication

- `Authorization` header (bearer token, required) — API key from [app.videogen.io/api](https://app.videogen.io/api). The full key is only shown once when you create it.

## Request

### Path parameters

- `projectId` (string, required)

### Query parameters

- `limit` (integer, optional, default: 20)
- `cursor` (string, optional)

## Response

### 200

Current authorized result.

- `projectId` (string, required)
- `revision` (integer, required)
- `artifacts` (list of ListProjectArtifactsResponseArtifactsItems, required)
- `hasMore` (boolean, required)
- `nextCursor` (string, required, nullable)

## Types

### ListProjectArtifactsResponseArtifactsItems

- `artifactId` (string, required)
- `type` (string, required)
- `name` (string, required)
- `revision` (integer, required)
- `editableVideoId` (string, required, nullable)
- `workflowId` (string, required, nullable)
- `fileId` (string, required, nullable)
- `entityId` (string, required, nullable)

## Examples

**Response**

```json
{
  "projectId": "string",
  "revision": 1,
  "artifacts": [
    {
      "artifactId": "string",
      "type": "string",
      "name": "string",
      "revision": 1,
      "editableVideoId": "string",
      "workflowId": "string",
      "fileId": "string",
      "entityId": "string"
    }
  ],
  "hasMore": true,
  "nextCursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.videogen.io/v1/projects/projectId/artifacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```